<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpDialog: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpColorProfileView.html" title="GimpColorProfileView">
<link rel="next" href="GimpEnumStore.html" title="GimpEnumStore">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpDialog.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpDialog.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpDialog.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#GimpDialog.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpColorProfileView.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpEnumStore.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpDialog"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpDialog.top_of_page"></a>GimpDialog</span></h2>
<p>GimpDialog — Constructors for <a href="../gtk2/GtkDialog.html#GtkDialog-struct"><span class="type">GtkDialog</span></a>'s and action_areas as
                    well as other dialog-related stuff.</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="gimp-widget-dialog.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpDialog.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpDialog.html#gimp-dialog-new" title="gimp_dialog_new ()">gimp_dialog_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpDialog.html#gimp-dialog-new-valist" title="gimp_dialog_new_valist ()">gimp_dialog_new_valist</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpDialog.html#gimp-dialog-add-button" title="gimp_dialog_add_button ()">gimp_dialog_add_button</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpDialog.html#gimp-dialog-add-buttons" title="gimp_dialog_add_buttons ()">gimp_dialog_add_buttons</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpDialog.html#gimp-dialog-add-buttons-valist" title="gimp_dialog_add_buttons_valist ()">gimp_dialog_add_buttons_valist</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gint"><span class="returnvalue">gint</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpDialog.html#gimp-dialog-run" title="gimp_dialog_run ()">gimp_dialog_run</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpDialog.html#gimp-dialogs-show-help-button" title="gimp_dialogs_show_help_button ()">gimp_dialogs_show_help_button</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpDialog.properties"></a><h2>Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a></td>
<td class="property_name"><a class="link" href="GimpDialog.html#GimpDialog--help-func" title="The “help-func” property">help-func</a></td>
<td class="property_flags">Read / Write / Construct Only</td>
</tr>
<tr>
<td class="property_type">
<a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="GimpDialog.html#GimpDialog--help-id" title="The “help-id” property">help-id</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="type">GtkWidget</span></a> *</td>
<td class="property_name"><a class="link" href="GimpDialog.html#GimpDialog--parent" title="The “parent” property">parent</a></td>
<td class="property_flags">Write / Construct Only</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpDialog.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpDialog.html#GimpDialog-struct" title="GimpDialog">GimpDialog</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpDialog.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBin.html#GtkBin-struct">GtkBin</a>
                        <span class="lineart">╰──</span> <a href="../gtk2/GtkWindow.html#GtkWindow-struct">GtkWindow</a>
                            <span class="lineart">╰──</span> <a href="../gtk2/GtkDialog.html#GtkDialog-struct">GtkDialog</a>
                                <span class="lineart">╰──</span> GimpDialog
</pre>
</div>
<div class="refsect1">
<a name="GimpDialog.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpDialog implements
 AtkImplementor and  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpDialog.description"></a><h2>Description</h2>
<p>Constructors for <a href="../gtk2/GtkDialog.html#GtkDialog-struct"><span class="type">GtkDialog</span></a>'s and action_areas as well as other
dialog-related stuff.</p>
</div>
<div class="refsect1">
<a name="GimpDialog.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-dialog-new"></a><h3>gimp_dialog_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_dialog_new (<em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *title</code></em>,
                 <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *role</code></em>,
                 <em class="parameter"><code><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="type">GtkWidget</span></a> *parent</code></em>,
                 <em class="parameter"><code><a href="../gtk2/GtkDialog.html#GtkDialogFlags"><span class="type">GtkDialogFlags</span></a> flags</code></em>,
                 <em class="parameter"><code><a class="link" href="libgimpwidgets-GimpHelpUI.html#GimpHelpFunc" title="GimpHelpFunc ()"><span class="type">GimpHelpFunc</span></a> help_func</code></em>,
                 <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *help_id</code></em>,
                 <em class="parameter"><code>...</code></em>);</pre>
<p>Creates a new <em class="parameter"><code>GimpDialog</code></em>
 widget.</p>
<p>This function simply packs the action_area arguments passed in "..."
into a <em class="parameter"><code>va_list</code></em>
 variable and passes everything to <a class="link" href="GimpDialog.html#gimp-dialog-new-valist" title="gimp_dialog_new_valist ()"><code class="function">gimp_dialog_new_valist()</code></a>.</p>
<p>For a description of the format of the <em class="parameter"><code>va_list</code></em>
 describing the
action_area buttons see <a href="../gtk2/GtkDialog.html#gtk-dialog-new-with-buttons"><code class="function">gtk_dialog_new_with_buttons()</code></a>.</p>
<div class="refsect3">
<a name="gimp-dialog-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>title</p></td>
<td class="parameter_description"><p>The dialog's title which will be set with
<a href="../gtk2/GtkWindow.html#gtk-window-set-title"><code class="function">gtk_window_set_title()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>role</p></td>
<td class="parameter_description"><p>The dialog's <em class="parameter"><code>role</code></em>
which will be set with
<a href="../gtk2/GtkWindow.html#gtk-window-set-role"><code class="function">gtk_window_set_role()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>parent</p></td>
<td class="parameter_description"><p>The <em class="parameter"><code>parent</code></em>
widget of this dialog.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>flags</p></td>
<td class="parameter_description"><p>The <em class="parameter"><code>flags</code></em>
(see the <a href="../gtk2/GtkDialog.html#GtkDialog-struct"><span class="type">GtkDialog</span></a> documentation).</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>help_func</p></td>
<td class="parameter_description"><p>The function which will be called if the user presses "F1".</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>help_id</p></td>
<td class="parameter_description"><p>The help_id which will be passed to <em class="parameter"><code>help_func</code></em>
.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>...</p></td>
<td class="parameter_description"><p>A <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>-terminated <em class="parameter"><code>va_list</code></em>
destribing the
action_area buttons.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-dialog-new.returns"></a><h4>Returns</h4>
<p> A <a class="link" href="GimpDialog.html" title="GimpDialog"><span class="type">GimpDialog</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-dialog-new-valist"></a><h3>gimp_dialog_new_valist ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_dialog_new_valist (<em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *title</code></em>,
                        <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *role</code></em>,
                        <em class="parameter"><code><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="type">GtkWidget</span></a> *parent</code></em>,
                        <em class="parameter"><code><a href="../gtk2/GtkDialog.html#GtkDialogFlags"><span class="type">GtkDialogFlags</span></a> flags</code></em>,
                        <em class="parameter"><code><a class="link" href="libgimpwidgets-GimpHelpUI.html#GimpHelpFunc" title="GimpHelpFunc ()"><span class="type">GimpHelpFunc</span></a> help_func</code></em>,
                        <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *help_id</code></em>,
                        <em class="parameter"><code><span class="type">va_list</span> args</code></em>);</pre>
<p>Creates a new <em class="parameter"><code>GimpDialog</code></em>
 widget. If a GtkWindow is specified as
<em class="parameter"><code>parent</code></em>
 then the dialog will be made transient for this window.</p>
<p>For a description of the format of the <em class="parameter"><code>va_list</code></em>
 describing the
action_area buttons see <a href="../gtk2/GtkDialog.html#gtk-dialog-new-with-buttons"><code class="function">gtk_dialog_new_with_buttons()</code></a>.</p>
<div class="refsect3">
<a name="gimp-dialog-new-valist.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>title</p></td>
<td class="parameter_description"><p>The dialog's title which will be set with
<a href="../gtk2/GtkWindow.html#gtk-window-set-title"><code class="function">gtk_window_set_title()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>role</p></td>
<td class="parameter_description"><p>The dialog's <em class="parameter"><code>role</code></em>
which will be set with
<a href="../gtk2/GtkWindow.html#gtk-window-set-role"><code class="function">gtk_window_set_role()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>parent</p></td>
<td class="parameter_description"><p>The <em class="parameter"><code>parent</code></em>
widget of this dialog or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>flags</p></td>
<td class="parameter_description"><p>The <em class="parameter"><code>flags</code></em>
(see the <a href="../gtk2/GtkDialog.html#GtkDialog-struct"><span class="type">GtkDialog</span></a> documentation).</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>help_func</p></td>
<td class="parameter_description"><p>The function which will be called if the user presses "F1".</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>help_id</p></td>
<td class="parameter_description"><p>The help_id which will be passed to <em class="parameter"><code>help_func</code></em>
.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>args</p></td>
<td class="parameter_description"><p>A <em class="parameter"><code>va_list</code></em>
destribing the action_area buttons.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-dialog-new-valist.returns"></a><h4>Returns</h4>
<p> A <a class="link" href="GimpDialog.html" title="GimpDialog"><span class="type">GimpDialog</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-dialog-add-button"></a><h3>gimp_dialog_add_button ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_dialog_add_button (<em class="parameter"><code><a class="link" href="GimpDialog.html" title="GimpDialog"><span class="type">GimpDialog</span></a> *dialog</code></em>,
                        <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *button_text</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> response_id</code></em>);</pre>
<p>This function is essentially the same as <a href="../gtk2/GtkDialog.html#gtk-dialog-add-button"><code class="function">gtk_dialog_add_button()</code></a>
except it ensures there is only one help button and automatically
sets the RESPONSE_OK widget as the default response.</p>
<div class="refsect3">
<a name="gimp-dialog-add-button.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>dialog</p></td>
<td class="parameter_description"><p>The <em class="parameter"><code>dialog</code></em>
to add a button to.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>button_text</p></td>
<td class="parameter_description"><p>text of button, or stock ID.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>response_id</p></td>
<td class="parameter_description"><p>response ID for the button.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-dialog-add-button.returns"></a><h4>Returns</h4>
<p> the button widget that was added.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-dialog-add-buttons"></a><h3>gimp_dialog_add_buttons ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_dialog_add_buttons (<em class="parameter"><code><a class="link" href="GimpDialog.html" title="GimpDialog"><span class="type">GimpDialog</span></a> *dialog</code></em>,
                         <em class="parameter"><code>...</code></em>);</pre>
<p>This function is essentially the same as <a href="../gtk2/GtkDialog.html#gtk-dialog-add-buttons"><code class="function">gtk_dialog_add_buttons()</code></a>
except it calls <a class="link" href="GimpDialog.html#gimp-dialog-add-button" title="gimp_dialog_add_button ()"><code class="function">gimp_dialog_add_button()</code></a> instead of <a href="../gtk2/GtkDialog.html#gtk-dialog-add-button"><code class="function">gtk_dialog_add_button()</code></a></p>
<div class="refsect3">
<a name="gimp-dialog-add-buttons.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>dialog</p></td>
<td class="parameter_description"><p>The <em class="parameter"><code>dialog</code></em>
to add buttons to.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>...</p></td>
<td class="parameter_description"><p>button_text-response_id pairs.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-dialog-add-buttons-valist"></a><h3>gimp_dialog_add_buttons_valist ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_dialog_add_buttons_valist (<em class="parameter"><code><a class="link" href="GimpDialog.html" title="GimpDialog"><span class="type">GimpDialog</span></a> *dialog</code></em>,
                                <em class="parameter"><code><span class="type">va_list</span> args</code></em>);</pre>
<p>This function is essentially the same as <a class="link" href="GimpDialog.html#gimp-dialog-add-buttons" title="gimp_dialog_add_buttons ()"><code class="function">gimp_dialog_add_buttons()</code></a>
except it takes a va_list instead of '...'</p>
<div class="refsect3">
<a name="gimp-dialog-add-buttons-valist.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>dialog</p></td>
<td class="parameter_description"><p>The <em class="parameter"><code>dialog</code></em>
to add buttons to.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>args</p></td>
<td class="parameter_description"><p>The buttons as va_list.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-dialog-run"></a><h3>gimp_dialog_run ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gint"><span class="returnvalue">gint</span></a>
gimp_dialog_run (<em class="parameter"><code><a class="link" href="GimpDialog.html" title="GimpDialog"><span class="type">GimpDialog</span></a> *dialog</code></em>);</pre>
<p>This function does exactly the same as <a href="../gtk2/GtkDialog.html#gtk-dialog-run"><code class="function">gtk_dialog_run()</code></a> except it
does not make the dialog modal while the <a href="../glib/glib-The-Main-Event-Loop.html#GMainLoop"><span class="type">GMainLoop</span></a> is running.</p>
<div class="refsect3">
<a name="gimp-dialog-run.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>dialog</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpDialog.html" title="GimpDialog"><span class="type">GimpDialog</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-dialog-run.returns"></a><h4>Returns</h4>
<p> response ID</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-dialogs-show-help-button"></a><h3>gimp_dialogs_show_help_button ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_dialogs_show_help_button (<em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> show</code></em>);</pre>
<p>This function is for internal use only.</p>
<div class="refsect3">
<a name="gimp-dialogs-show-help-button.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>show</p></td>
<td class="parameter_description"><p>whether a help button should be added when creating a GimpDialog</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpDialog.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpDialog-struct"></a><h3>GimpDialog</h3>
<pre class="programlisting">typedef struct _GimpDialog GimpDialog;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpDialog.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GimpDialog--help-func"></a><h3>The <code class="literal">“help-func”</code> property</h3>
<pre class="programlisting">  “help-func”                <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a></pre>
<p>The help function to call when F1 is hit.</p>
<p>Flags: Read / Write / Construct Only</p>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpDialog--help-id"></a><h3>The <code class="literal">“help-id”</code> property</h3>
<pre class="programlisting">  “help-id”                  <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>The help ID to pass to help-func.</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: NULL</p>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpDialog--parent"></a><h3>The <code class="literal">“parent”</code> property</h3>
<pre class="programlisting">  “parent”                   <a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="type">GtkWidget</span></a> *</pre>
<p>The dialog's parent widget.</p>
<p>Flags: Write / Construct Only</p>
<p class="since">Since: <a class="link" href="api-index-2-8.html#api-index-2.8">2.8</a></p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>